# use upstream hardening flags instead of ours
# https://github.com/keithw/mosh/issues/203#issuecomment-5167309
%define _ssp_cflags	-fstack-protector-all --param ssp-buffer-size=1

Name:		mosh
Version:	1.3.0
Release:	%mkrel 1
Summary:	Mobile shell that supports roaming and intelligent local echo
License:	GPLv3+
Group:		Networking/Remote access
URL:		http://mosh.mit.edu/
Source0:	https://github.com/keithw/mosh/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:	protobuf-compiler
BuildRequires:	utempter-devel
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(protobuf)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(openssl)

Requires:	openssh-clients

%description
Mosh (mobile shell) is a remote terminal application that supports:

  - Intermittent network connectivity
  - Roaming to different IP address without dropping the connection
  - Intelligent local echo and line editing to reduce the effects
    of "network lag" on high-latency connections.

%prep
%setup -q

%build
%configure2_5x \
	--enable-compile-warnings=error
%make_build

%install
%make_install

%files
%doc AUTHORS README.md ChangeLog
%license COPYING
%{_bindir}/%{name}*
%{_mandir}/man1/%{name}*.1.*


%changelog
* Wed Apr 26 2017 akien <akien> 1.3.0-1.mga6
+ Revision: 1097536
- Version 1.3.0

* Sat Aug 20 2016 daviddavid <daviddavid> 1.2.6-1.mga6
+ Revision: 1047145
- new version: 1.2.6

* Mon Feb 15 2016 umeabot <umeabot> 1.2.5-4.mga6
+ Revision: 961496
- Mageia 6 Mass Rebuild

* Fri Sep 25 2015 daviddavid <daviddavid> 1.2.5-3.mga6
+ Revision: 883444
- rebuild for new boost 1.59.0
- introduce license macro

* Sat Aug 29 2015 cjw <cjw> 1.2.5-2.mga6
+ Revision: 870775
- rebuild with gcc 5

* Fri Jul 24 2015 daviddavid <daviddavid> 1.2.5-1.mga6
+ Revision: 856778
- new version: 1.2.5
- update Source URL
- update file list

* Wed Oct 15 2014 umeabot <umeabot> 1.2.4-5.mga5
+ Revision: 739530
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.4-4.mga5
+ Revision: 682600
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 1.2.4-3.mga5
+ Revision: 670347
- rebuild for protobuf

* Fri Jul 25 2014 daviddavid <daviddavid> 1.2.4-2.mga5
+ Revision: 656536
- switch BRs to pkgconfig
- improved description
- rebuild to update release tag

* Fri Sep 27 2013 sander85 <sander85> 1.2.4-1.mga5
+ Revision: 487917
- New version: 1.2.4

* Wed Jul 10 2013 fwang <fwang> 1.2.3-3.mga4
+ Revision: 452407
- rebuild for new boost

* Sat Jan 12 2013 umeabot <umeabot> 1.2.3-2.mga3
+ Revision: 360282
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 wally <wally> 1.2.3-1.mga3
+ Revision: 330361
- new version 1.2.3
- drop upstream applied CVE patch
- use upstream hardening flags instead of ours
- clean .spec a bit

* Wed Jun 27 2012 luigiwalser <luigiwalser> 1.1.3-2.mga3
+ Revision: 264230
- add upstream patch to fix CVE-2012-2385

* Wed Apr 11 2012 boklm <boklm> 1.1.3-1.mga2
+ Revision: 230221
- update to version 1.1.3
- update files list
- use make and makeinstall_std macros
- update release and group tags
- imported package mosh

